Subject: bug#23269: new snapshot available: grep-2.24.13-bed6

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Apr 2016 09:29:59 -0700

On 04/11/2016 09:13 AM, Jim Meyering wrote:
> This problem is likely to affect many more programs
> than just grep, so we presume it will be fixed promptly

I am not sure about how promptly it'll be fixed in glibc, as this may 
require more developer oomph in the localedata area. Although Bruno 
Haible did a nice analysis of the issue 
<https://sourceware.org/bugzilla/show_bug.cgi?id=19932> he had some 
qualms about changing this part of glibc, and anyway I expect he has few 
free cycles to think about this. And to be honest, fiddling with 
localedata is not my fave....

Since the problem has apparently been in glibc for a decade and a half, 
I'm a bit surprised nobody filed a bug report about this until now. 
Perhaps it's because apps that care about i18n and text processing 
(e.g., Emacs, Firefox) largely bypass mbrtowc and do all the decoding 
themselves?